Skip to main content
`Ctrl`+`K`

# DMClearNamedLocalVectors

Destroys all the named local vectors that have been created with `DMGetNamedLocalVector()` in this `DM`

## Synopsis

    #include "petscdm.h"
    PetscErrorCode DMClearNamedLocalVectors(DM dm)

Collective

## Input Parameter

- dm - the `DM`

## See Also

`DM`, `DMGetNamedGlobalVector()`, `DMGetNamedLocalVector()`, `DMClearNamedGlobalVectors()`

## Level

developer

## Location

src/dm/interface/dmget.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages